HepMC3 event record library: Recursive< Relation_type > Class Template Reference

HepMC3 event record library

Data Structures | Public Member Functions | Private Member Functions | Private Attributes
Recursive< Relation_type > Class Template Reference

## Detailed Description

template<typename Relation_type>
class HepMC3::Recursive< Relation_type >

forward declare the recursion wrapper

Recursive.

Definition at line 237 of file Relatives.h.

`#include <Relatives.h>`

Collaboration diagram for Recursive< Relation_type >:
[legend]

## Data Structures
class | hasId
| hasID More...
class | idInterface
| iDinterface More...

## Public Member Functions
template<typename GenObject_type>
GenParticles_type< GenObject_type > | operator() (GenObject_type input) const
| Operator.

## Private Member Functions
template<typename GenObject_type, typename dummy>
GenParticles_type< GenObject_type > | _recursive (GenObject_type input) const
| recursive
GenParticles_type< GenVertexPtr > | _recursive (GenVertexPtr input) const
| recursive
GenParticles_type< ConstGenVertexPtr > | _recursive (ConstGenVertexPtr input) const
| recursive
GenParticles_type< GenParticlePtr > | _recursive (GenParticlePtr input) const
| recursive
GenParticles_type< ConstGenParticlePtr > | _recursive (ConstGenParticlePtr input) const
| recursive

## Private Attributes
Relation_type | m_applyRelation
| applyRelation
std::vector< hasId * > | m_checkedObjects
| Checked objects.

## Constructor & Destructor Documentation

## ◆ ~Recursive()

template<typename Relation_type>

~Recursive | ( |  | ) |
| inline

Definition at line 248 of file Relatives.h.

## Member Function Documentation

## ◆ _recursive() [1/5]

template<typename Relation_type>

GenParticles_type< ConstGenParticlePtr > _recursive | ( | ConstGenParticlePtr | input | ) | const
| inlineprivate

recursive

Definition at line 306 of file Relatives.h.

References _recursive(), and m_applyRelation.

## ◆ _recursive() [2/5]

template<typename Relation_type>

GenParticles_type< ConstGenVertexPtr > _recursive | ( | ConstGenVertexPtr | input | ) | const
| inlineprivate

recursive

Definition at line 281 of file Relatives.h.

References _recursive(), m_applyRelation, and m_checkedObjects.

## ◆ _recursive() [3/5]

template<typename Relation_type>
template<typename GenObject_type, typename dummy>

GenParticles_type< GenObject_type > _recursive | ( | GenObject_type | input | ) | const
| private

recursive

## ◆ _recursive() [4/5]

template<typename Relation_type>

GenParticles_type< GenParticlePtr > _recursive | ( | GenParticlePtr | input | ) | const
| inlineprivate

recursive

Definition at line 302 of file Relatives.h.

References _recursive(), and m_applyRelation.

## ◆ _recursive() [5/5]

template<typename Relation_type>

GenParticles_type< GenVertexPtr > _recursive | ( | GenVertexPtr | input | ) | const
| inlineprivate

recursive

Definition at line 260 of file Relatives.h.

References _recursive(), m_applyRelation, and m_checkedObjects.

## ◆ operator()()

template<typename Relation_type>
template<typename GenObject_type>

GenParticles_type< GenObject_type > operator() | ( | GenObject_type | input | ) | const
| inline

Operator.

Definition at line 241 of file Relatives.h.

References _recursive(), and m_checkedObjects.

## Field Documentation

## ◆ m_applyRelation

template<typename Relation_type>

Relation_type m_applyRelation
| private

applyRelation

Definition at line 332 of file Relatives.h.

## ◆ m_checkedObjects

template<typename Relation_type>

std::vector<hasId*> m_checkedObjects
| mutableprivate

Checked objects.

Definition at line 333 of file Relatives.h.

The documentation for this class was generated from the following file:

- Relatives.h